--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set of Property objects, used to associate queries with set of fields it performed over, to represent composite keys (esp. for associations) and so on.
constants: []

full_name: DataMapper::PropertySet
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: defaults
- !ruby/object:RI::MethodSummary 
  name: discriminator
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: get!
- !ruby/object:RI::MethodSummary 
  name: in_context
- !ruby/object:RI::MethodSummary 
  name: include?
- !ruby/object:RI::MethodSummary 
  name: indexes
- !ruby/object:RI::MethodSummary 
  name: key
- !ruby/object:RI::MethodSummary 
  name: lazy_context
- !ruby/object:RI::MethodSummary 
  name: loaded?
- !ruby/object:RI::MethodSummary 
  name: named?
- !ruby/object:RI::MethodSummary 
  name: property_contexts
- !ruby/object:RI::MethodSummary 
  name: set
- !ruby/object:RI::MethodSummary 
  name: set!
- !ruby/object:RI::MethodSummary 
  name: typecast
- !ruby/object:RI::MethodSummary 
  name: unique_indexes
- !ruby/object:RI::MethodSummary 
  name: values_at
name: PropertySet
superclass: Array
